<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Memory - accueil</title>
    <link rel="stylesheet" href="../styles/main.css">
    <link rel="stylesheet" href="../styles/form.css">
    <link rel="stylesheet" href="../styles/font.css">
</head>
<body>
    <div class="navbar">
        <a href="index.html">Accueil</a>
        <a href="inscription.html">S'inscrire</a>
        <a href="connexion.html">Se connecter</a>
        <a href="profil.html">Mon profil</a>
        <a href="jouer.html">Jouer</a>
    </div>
    <form class="container" id="inscription-form">
        <h1>
            Inscription
        </h1>
        <div>
            <label for="user">Nom d'utilisateur</label>
            <input type="text" id="user" minlength="3" />
            <p id="userInfo">Le nom d'utilisateur doit faire au moins 3 caractères.</p>
        </div>
        <div>
            <label for="mail">Adresse mail</label>
            <input type="email" id="mail" pattern="[\w-\.]+@([\w-]+\.)+[\w-]{2,}" />
            <p id="mailInfo">Veuillez saisir une adresse email valide.</p>
        </div>
        <div>
            <label for="mdp">Mot de passe</label>
            <input type="password" id="mdp" pattern="((?=.*?[a-zA-Z])(?=.*?[0-9])(?=.*[#?!@$%^&*-])).{6,}" />
            <p id="passInfo">Le mot de passe doit faire au moins 6 caractères et doit contenir au moins un symbole, un chiffre et une lettre.</p>
            <div class="indicateur">
                    <div class="faible" id="faible">Faible</div>
                    <div class="moyen" id="moyen">Moyen</div>
                    <div class="fort" id="fort">Fort</div>
            </div>
        </div>
        <div>
            <label for="cmdp">Confirmer le mot de passe</label>
            <input type="password" id="cmdp" />
        </div>
        <input type="submit" value="M'inscrire" />
        <!-- <button type="submit">M'inscrire</button> -->
    </form>
    <script src="../scripts/inscription-together.js"></script>
</body>
</html>